Package com.io7m.waxmill.machines

# Enum WXMDeviceType.WXMDeviceHostBridgeType.Vendor

java.lang.Object
java.lang.Enum<WXMDeviceType.WXMDeviceHostBridgeType.Vendor>
com.io7m.waxmill.machines.WXMDeviceType.WXMDeviceHostBridgeType.Vendor

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<WXMDeviceType.WXMDeviceHostBridgeType.Vendor>`, `java.lang.constant.Constable`

Enclosing interface:
  WXMDeviceType.WXMDeviceHostBridgeType

    public static enum WXMDeviceType.WXMDeviceHostBridgeType.Vendor
    extends java.lang.Enum<WXMDeviceType.WXMDeviceHostBridgeType.Vendor>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `WXM_AMD` |
  `WXM_UNSPECIFIED` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `externalName()` |
  `static WXMDeviceType.WXMDeviceHostBridgeType.Vendor` | `ofExternalString​(java.lang.String vendor)` |
  `static WXMDeviceType.WXMDeviceHostBridgeType.Vendor` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static WXMDeviceType.WXMDeviceHostBridgeType.Vendor[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WXM_UNSPECIFIED

    public static final WXMDeviceType.WXMDeviceHostBridgeType.Vendor WXM_UNSPECIFIED

  - ### WXM_AMD

    public static final WXMDeviceType.WXMDeviceHostBridgeType.Vendor WXM_AMD

- ## Method Details

  - ### values

    public static WXMDeviceType.WXMDeviceHostBridgeType.Vendor[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WXMDeviceType.WXMDeviceHostBridgeType.Vendor valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### ofExternalString

    public static WXMDeviceType.WXMDeviceHostBridgeType.Vendor ofExternalString​(java.lang.String vendor)

  - ### externalName

    public java.lang.String externalName()